Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.feature
Class GMLFeatureCollectionDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.GMLDocument
              org.deegree.model.feature.GMLFeatureDocument
                  org.deegree.model.feature.GMLFeatureCollectionDocument

All Implemented Interfaces:
  Serializable

    public class GMLFeatureCollectionDocument

extends GMLFeatureDocument

Parser and wrapper class for GML feature collections.

Extends `GMLFeatureDocument`, as a feature collection is a feature in the GML type hierarchy.

TODO Remove hack for xlinked feature members (should be easy after fixing model package).

Version:
  $Revision: 24932 $, $Date: 2010-06-17 20:16:34 +0200 (Do, 17. Jun 2010) $
Author:
  Markus Schneider , last edited by: $Author: apoth $
See Also:
  `GMLFeatureDocument`, Serialized Form

Field Summary

Fields inherited from class org.deegree.model.feature.GMLFeatureDocument
`featureMap, gmlSchemaMap, xlinkPropertyList`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`GMLFeatureCollectionDocument()` Creates a new instance of `GMLFeatureCollectionDocument`.
`GMLFeatureCollectionDocument(boolean guessSimpleTypes)` Creates a new instance of `GMLFeatureCollectionDocument`.
`GMLFeatureCollectionDocument(boolean guessSimpleTypes, boolean keepCollectionName)` Creates a new instance of `GMLFeatureCollectionDocument`.

Method Summary
`FeatureCollection` | `parse()` Returns the object representation of the underlying feature collection document.

Methods inherited from class org.deegree.model.feature.GMLFeatureDocument
`getFeatureType, getGMLSchemas, getSchemaForNamespace, parseFeature, parseFeature, parseFeature, parseFeature, parseFeatureId, parseProperty, parseProperty, resolveXLinkReferences, setSchemas`

Methods inherited from class org.deegree.ogcbase.GMLDocument
`parseEnvelope, parseGrid, parsePos, parseTimePosition`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GMLFeatureCollectionDocument

    public GMLFeatureCollectionDocument()

  Creates a new instance of `GMLFeatureCollectionDocument`.

  Simple types encountered during parsing are "guessed", i.e. the parser tries to convert the values to double, integer, calendar, etc. However, this may lead to unwanted results, e.g. a property value of "054604" is converted to "54604".

  Note, the featurecollection Document created with this constructor will return wfs-1.1 bound FeatureCollections. If you want to return the same namespace bound feature collection as the incoming feature collection, please use the `GMLFeatureCollectionDocument(boolean, boolean)`

### GMLFeatureCollectionDocument

    public GMLFeatureCollectionDocument(boolean guessSimpleTypes)

  Creates a new instance of `GMLFeatureCollectionDocument`.

  Note, the featurecollection Document created with this constructor will return wfs-1.1 bound FeatureCollections. If you want to return the same namespace bound feature collection as the incoming feature collection, please use the `GMLFeatureCollectionDocument(boolean, boolean)`

  Parameters:
    `guessSimpleTypes` - set to true, if simple types should be "guessed" during parsing

### GMLFeatureCollectionDocument

    public GMLFeatureCollectionDocument(boolean guessSimpleTypes,
                                        boolean keepCollectionName)

  Creates a new instance of `GMLFeatureCollectionDocument`.

  Instead of the other constructors, this one will be namespace aware of the incoming featureCollection. This means, that the incoming top root element will hold it's namespace binding and will not automatically be overwritten with the wfs:1.1 namespace binding.

  Parameters:
    `guessSimpleTypes` - set to true, if simple types should be "guessed" during parsing
    `keepCollectionName` - if true, the returned FeatureCollection will have the same name as the incoming FeatureCollection document. If set to false this constructor equals the `GMLFeatureCollectionDocument(boolean)`.

Method Detail

### parse

    public FeatureCollection parse()
                            throws XMLParsingException

  Returns the object representation of the underlying feature collection document.

  Returns:
    object representation of the underlying feature collection document.
  Throws:
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org